gdcm::Defs Class Reference

FIXME I do not like the name 'Defs'. More...

`#include <gdcmDefs.h>`

## Public Member Functions

| Defs ()
| Defs (const Defs &val)=delete
| ~Defs ()
const IOD & | GetIODFromFile (const File &file) const
IODs & | GetIODs ()
const IODs & | GetIODs () const
Macros & | GetMacros ()
const Macros & | GetMacros () const
Modules & | GetModules ()
const Modules & | GetModules () const
Type | GetTypeFromTag (const File &file, const Tag &tag) const
bool | IsEmpty () const
Defs & | operator= (const Defs &val)=delete
bool | Verify (const DataSet &ds) const
bool | Verify (const File &file) const

## Static Public Member Functions

static const char * | GetIODNameFromMediaStorage (MediaStorage const &ms)

## Protected Member Functions

void | LoadDefaults ()
void | LoadFromFile (const char *filename)

## Friends

class | Global

## Detailed Description

FIXME I do not like the name 'Defs'.

Note
  bla

Examples
  GenerateStandardSOPClasses.cxx, and TraverseModules.cxx.

## Constructor & Destructor Documentation

## Defs() [1/2]

gdcm::Defs::Defs | ( |  | ) |

Referenced by Defs(), and operator=().

## ~Defs()

gdcm::Defs::~Defs | ( |  | ) |

## Defs() [2/2]

gdcm::Defs::Defs | ( | const Defs & | val | ) |

delete

References Defs().

## Member Function Documentation

## GetIODFromFile()

const IOD & gdcm::Defs::GetIODFromFile | ( | const File & | file | ) | const

## GetIODNameFromMediaStorage()

const char * gdcm::Defs::GetIODNameFromMediaStorage | ( | MediaStorage const & | ms | ) |

static

Examples
  GenerateStandardSOPClasses.cxx.

## GetIODs() [1/2]

IODs & gdcm::Defs::GetIODs | ( |  | ) |

inline

## GetIODs() [2/2]

const IODs & gdcm::Defs::GetIODs | ( |  | ) | const

inline

Examples
  TraverseModules.cxx.

## GetMacros() [1/2]

Macros & gdcm::Defs::GetMacros | ( |  | ) |

inline

## GetMacros() [2/2]

const Macros & gdcm::Defs::GetMacros | ( |  | ) | const

inline

Users should not directly use Macro. Macro are simply a way for DICOM WG to re-use Tables. Macros are conveniently wrapped within Modules. See gdcm::Module API directly

Examples
  TraverseModules.cxx.

## GetModules() [1/2]

Modules & gdcm::Defs::GetModules | ( |  | ) |

inline

## GetModules() [2/2]

const Modules & gdcm::Defs::GetModules | ( |  | ) | const

inline

Examples
  TraverseModules.cxx.

Referenced by IsEmpty().

## GetTypeFromTag()

Type gdcm::Defs::GetTypeFromTag | ( | const File & | file,
|  | const Tag & | tag ) const

## IsEmpty()

bool gdcm::Defs::IsEmpty | ( |  | ) | const

inline

References GetModules().

## LoadDefaults()

void gdcm::Defs::LoadDefaults | ( |  | ) |

protected

## LoadFromFile()

void gdcm::Defs::LoadFromFile | ( | const char * | filename | ) |

protected

## operator=()

Defs & gdcm::Defs::operator= | ( | const Defs & | val | ) |

delete

References Defs().

## Verify() [1/2]

bool gdcm::Defs::Verify | ( | const DataSet & | ds | ) | const

## Verify() [2/2]

bool gdcm::Defs::Verify | ( | const File & | file | ) | const

## Friends And Related Symbol Documentation

## Global

friend class Global

friend

References Global.

Referenced by Global.

The documentation for this class was generated from the following file:

- gdcmDefs.h